Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression.function
Class BasicFunctionExpression<X>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression<X>

All Implemented Interfaces:
  Serializable, Expression<X>, Selection<X>, TupleElement<X>, FunctionExpression<X>, ExpressionImplementor<X>, ParameterContainer, Renderable, SelectionImplementor<X>, TupleElementImplementor<X>

Direct Known Subclasses:
  CastFunction, CurrentDateFunction, CurrentTimeFunction, CurrentTimestampFunction, LocateFunction, ParameterizedFunctionExpression, SubstringFunction, TrimFunction

    public class BasicFunctionExpression<X>

extends ExpressionImpl<X>
implements FunctionExpression<X>, Serializable

Models the basic concept of a SQL function.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`BasicFunctionExpression(CriteriaBuilderImpl criteriaBuilder, Class<X> javaType, String functionName)`

Method Summary
`String` | `getFunctionName()` Retrieve the name of the function.
`boolean` | `isAggregation()` Is this function a value aggregator (like a `COUNT` or `MAX` function e.g.)?
`protected static int` | `properSize(int number)`
`void` | `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` | `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` | `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### BasicFunctionExpression

    public BasicFunctionExpression(CriteriaBuilderImpl criteriaBuilder,
                                   Class<X> javaType,
                                   String functionName)

Method Detail

### properSize

    protected static int properSize(int number)

### getFunctionName

    public String getFunctionName()

  Description copied from interface: `FunctionExpression`
  Retrieve the name of the function.

  Specified by:
    `getFunctionName` in interface `FunctionExpression<X>`
  Returns:
    The function name.

### isAggregation

    public boolean isAggregation()

  Description copied from interface: `FunctionExpression`
  Is this function a value aggregator (like a `COUNT` or `MAX` function e.g.)?

  Specified by:
    `isAggregation` in interface `FunctionExpression<X>`
  Returns:
    True if this functions does aggregation.

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.